org.springframework.data.mapping

## Class MappingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.data.mapping.MappingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidPersistentPropertyPath

    public class MappingException
    extends RuntimeException

Author:
  Jon Brisbin <jbrisbin@vmware.com>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MappingException(String s)`
`MappingException(String s, Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MappingException

    public MappingException(@Nullable
                            String s)

#### MappingException

    public MappingException(@Nullable
                            String s,
                            @Nullable
                            Throwable throwable)